---
updatedAt: 2026-03-04T18:57:18.000Z
agentTools:
  siteIndex: https://docs.affirm.com/llms.txt
  projectIndex: https://docs.affirm.com/developers/llms.txt
---

# Update Checkout

Update a checkout.

For the global Update endpoint, see the <Anchor label="Update Checkout (Global) page" target="_blank" href="https://docs.affirm.com/developers/v1.0-Global-Integration/reference/update_checkout-1">Update Checkout (Global) page</Anchor>.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Checkout API",
    "version": "2.0"
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "paths": {
    "/checkout/{checkout_id}/update": {
      "post": {
        "tags": [
          "Checkout"
        ],
        "operationId": "update_checkout",
        "summary": "Update Checkout",
        "description": "Update a checkout.",
        "parameters": [
          {
            "in": "path",
            "name": "checkout_id",
            "description": "A `checkout_token` that represents the purchase and customer information on purchase (e.g tokenization).",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateCheckoutRequest"
              }
            }
          },
          "description": "The request body used to update a checkout.",
          "x-nullable": true
        },
        "responses": {
          "200": {
            "description": "HTTP 200 OK",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/UpdateCheckout"
                }
              }
            }
          },
          "400": {
            "description": "HTTP 400 Bad Request",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorBadRequest"
                }
              }
            }
          },
          "401": {
            "description": "HTTP 401 Unauthorized",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorUnauthorized"
                }
              }
            }
          },
          "404": {
            "description": "HTTP 404 Not Found",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorNotFound"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://sandbox.affirm.com/api/v2"
    },
    {
      "url": "https://api.affirm.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "ErrorBadRequest": {
        "properties": {
          "message": {
            "description": "The error message.",
            "example": "Bad Request",
            "type": "string"
          },
          "status_code": {
            "description": "The HTTP status code.",
            "example": 400,
            "type": "integer"
          },
          "type": {
            "description": "The error type.",
            "example": "BAD_REQUEST",
            "type": "string"
          },
          "code": {
            "description": "The error type.",
            "example": "BAD_REQUEST",
            "type": "string"
          }
        }
      },
      "ErrorNotFound": {
        "properties": {
          "message": {
            "description": "The error message.",
            "example": "Not Found",
            "type": "string"
          },
          "status_code": {
            "description": "The HTTP status code.",
            "example": 404,
            "type": "integer"
          },
          "type": {
            "description": "The error type.",
            "example": "NOT_FOUND",
            "type": "string"
          },
          "code": {
            "description": "The error type.",
            "example": "NOT_FOUND",
            "type": "string"
          },
          "token": {
            "description": "The error response embedded in a JWT token",
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorUnauthorized": {
        "properties": {
          "message": {
            "description": "The error message.",
            "example": "Unauthorized",
            "type": "string"
          },
          "status_code": {
            "description": "The HTTP status code.",
            "example": 401,
            "type": "integer"
          },
          "type": {
            "description": "The error type.",
            "example": "UNAUTHORIZED",
            "type": "string"
          },
          "code": {
            "description": "The error type.",
            "example": "UNAUTHORIZED",
            "type": "string"
          },
          "token": {
            "description": "The error response embedded in a JWT token",
            "type": "string"
          }
        },
        "type": "object"
      },
      "UpdateCheckoutRequest": {
        "type": "object",
        "properties": {
          "order_id": {
            "description": "Identifies the order within the merchant's order management system that this transaction corresponds to.  It is only returned in the response if included in the request.",
            "example": "A1B2C3D4",
            "maxLength": 128,
            "minLength": 1,
            "type": "string"
          },
          "shipping_carrier": {
            "description": "The shipping carrier used to ship the items.",
            "example": "USPS",
            "maxLength": 128,
            "minLength": 1,
            "type": "string",
            "nullable": true
          },
          "shipping_confirmation": {
            "description": "The tracking number of the shipment.",
            "example": "C12345678901234",
            "maxLength": 128,
            "minLength": 1,
            "type": "string",
            "nullable": true
          },
          "shipping": {
            "description": "The shipping information. Required for scenarios where goods are shipped.",
            "type": "object",
            "properties": {
              "address": {
                "type": "object",
                "properties": {
                  "city": {
                    "description": "The name of the city.",
                    "example": "San Francisco",
                    "type": "string"
                  },
                  "country": {
                    "description": "The abbreviated name of the country.",
                    "example": "USA",
                    "type": "string"
                  },
                  "line1": {
                    "description": "A U.S. street address.",
                    "example": "123 Example Street",
                    "type": "string"
                  },
                  "line2": {
                    "description": "The apartment number, floor or suite that complements the street address.",
                    "example": "Apt 123",
                    "type": "string"
                  },
                  "state": {
                    "description": "The 2-letter postal abbreviation or full name of the U.S. state.",
                    "example": "CA",
                    "type": "string"
                  },
                  "zipcode": {
                    "description": "The 5-digit postal code of the address.",
                    "example": "94107",
                    "type": "string"
                  }
                }
              },
              "email": {
                "description": "The email address of the customer.",
                "example": "test@example.com",
                "type": "string",
                "nullable": true
              },
              "name": {
                "type": "object",
                "properties": {
                  "first": {
                    "description": "The first name of the customer.",
                    "type": "string"
                  },
                  "full": {
                    "description": "The full name of the customer, which must contain at least two words.",
                    "type": "string"
                  },
                  "last": {
                    "description": "The last name of the customer.",
                    "type": "string"
                  }
                },
                "nullable": true
              },
              "phone_number": {
                "description": "The phone number of the customer.  It must be a valid U.S. phone number represented as a 10-digit string without any delimiters.",
                "example": "1234567890",
                "type": "string",
                "nullable": true
              }
            },
            "nullable": true
          }
        }
      },
      "UpdateCheckout": {
        "type": "object",
        "properties": {
          "created": {
            "description": "The date and time the update was created.",
            "example": "2021-10-13T20:48:13.000Z",
            "type": "string"
          },
          "order_id": {
            "description": "Your internal order id. This is stored for your own reference.",
            "example": "ABC123",
            "type": "string"
          },
          "shipping_confirmation": {
            "description": "A unique id for the shipping confirmation.",
            "example": "1Z23223",
            "type": "string"
          },
          "shipping": {
            "description": "The shipping information. Required for scenarios where goods are shipped.",
            "type": "object",
            "properties": {
              "name": {
                "type": "object",
                "properties": {
                  "full": {
                    "description": "The customer's name.",
                    "example": "John Doe",
                    "type": "string"
                  }
                }
              },
              "address": {
                "type": "object",
                "properties": {
                  "line1": {
                    "description": "A U.S. street address.",
                    "example": "123 Example Street",
                    "type": "string"
                  },
                  "line2": {
                    "description": "The apartment number, floor or suite that complements the street address.",
                    "example": "Apt 123",
                    "type": "string"
                  },
                  "city": {
                    "description": "The name of the city.",
                    "example": "San Francisco",
                    "type": "string"
                  },
                  "state": {
                    "description": "The 2-letter postal abbreviation or full name of the U.S. state.",
                    "example": "CA",
                    "type": "string"
                  },
                  "zipcode": {
                    "description": "The 5-digit postal code of the address.",
                    "example": "94107",
                    "type": "string"
                  },
                  "country": {
                    "description": "The abbreviated name of the country.",
                    "example": "USA",
                    "type": "string"
                  }
                }
              },
              "email": {
                "description": "The email address of the customer.",
                "example": "test@example.com",
                "type": "string",
                "nullable": true
              },
              "phone_number": {
                "description": "The phone number of the customer.  It must be a valid U.S. phone number represented as a 10-digit string without any delimiters.",
                "example": "1234567890",
                "type": "string",
                "nullable": true
              }
            }
          },
          "shipping_carrier": {
            "description": "The shipping carrier used to ship the items.",
            "example": "USPS",
            "type": "string"
          },
          "type": {
            "description": "The type of checkout request.",
            "example": "update",
            "type": "string"
          },
          "id": {
            "description": "A unique id representing the checkout request.",
            "example": "4V776PBJV0DFH0G8",
            "type": "string"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```

# Sibling pages

* [Read Checkout](https://docs.affirm.com/developers/reference/read_checkout-1.md)
* [Store](https://docs.affirm.com/developers/reference/store-1.md)
* [Direct](https://docs.affirm.com/developers/reference/direct-1.md)
* [Resend Checkout](https://docs.affirm.com/developers/reference/resend_checkout-1.md)